# abstract Callable<T>(CallableData<T>)

#### package cpp

####

Available on Android, iOS, Linux, macOS, Windows

### Constructor

###

`inline new (inValue:T)`

### Variables

###

`read onlycall:CallableData<T>`

### Methods

###

`inline geq (inOther:Callable<T>):Bool`

###

`inline get_call ():CallableData<T>`

###

`inline gt (inOther:Callable<T>):Bool`

###

`inline leq (inOther:Callable<T>):Bool`

###

`inline lt (inOther:Callable<T>):Bool`

###

`inline toFunction ():Function<T, Abi>`

### Static methods

###

`staticinline fromFunction<F> (func:Function<F, Abi>):Callable<F>`

###

`staticinline fromStaticFunction<T> (inStaticFunction:T):Callable<T>`

###

`staticinline getProcAddress<T, ABI> (inModule:String, inFunction:String):Function<T, ABI>`